Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadTab=function(){
Telerik.Web.UI.RadTab.initializeBase(this);
this._properties=new Telerik.Web.UI.PropertyBag(this);
};
Telerik.Web.UI.RadTab.prototype={_requiresScrolling:function(){
return this.get_tabStrip()._tabContainerRequiresScrolling(this);
},_createChildControls:function(){
this._children=new Telerik.Web.UI.RadTabCollection(this);
Telerik.Web.UI.RadTabStrip._createChildControls(this,this._children);
},_getChildListIndex:function(){
if(!this.get_tabData()){
return -1;
}
var _1=-1;
var _2=[];
if(this.get_parent()!=this.get_tabStrip()){
var _3=this.get_parent().get_parent()._children;
_3.forEach(function(_4){
Array.addRange(_2,_4._children._array);
});
}else{
_2=this.get_parent()._children._array;
}
var _5=Array.indexOf(_2,this);
for(var i=0;i<=_5;i++){
var _7=_2[i];
if(_7.get_tabData()){
_1++;
}
}
return _1;
},_ensureElements:function(){
if(!this.get_childListElement()){
this._createChildListElement();
}
},_createChildListElement:function(){
var _8=document.createElement("ul");
_8.className="rtsUL";
var _9=this._getListItemsForTheCurrentLevel();
if(!_9){
this.get_parent()._ensureElements();
this.get_tabStrip()._createLevelElement(this.get_level()+2);
_9=this._getListItemsForTheCurrentLevel();
}
this._requireChildList();
this.get_levelElement().insertBefore(_8,_9[this._getChildListIndex()]||null);
Array.insert(_9,this._getChildListIndex(),_8);
return _8;
},_shouldInitializeChild:function(_a){
return true;
},_getListItemsForTheCurrentLevel:function(){
return this.get_tabStrip()._getListElementsForLevel(this._getLevelIndex());
},_getChildElements:function(){
return $telerik.getChildrenByTagName(this.get_childListElement(),"li");
},_requireChildList:function(){
this._itemData=[];
},_doesNotRequireChildList:function(){
this._itemData=null;
},_destroyChildListElement:function(){
this.get_tabStrip()._destroyChildren(this);
this._doesNotRequireChildList();
},_renderSeparator:function(_b){
_b[_b.length]="<li class='rtsLI rtsSeparator'>";
_b[_b.legnth]=this.get_text();
_b[_b.length]="</li>";
},_renderTab:function(_c){
_c[_c.length]="<li class='rtsLI";
if(this.get_isFirst()){
_c[_c.length]=" rtsFirst";
}
if(this.get_isLast()){
_c[_c.length]=" rtsLast";
}
_c[_c.length]="'><a ";
if(this.get_target()){
_c[_c.length]="target='";
_c[_c.length]=this.get_target();
_c[_c.length]="' ";
}
_c[_c.length]="href='";
if(this.get_navigateUrl()){
_c[_c.length]=this.get_navigateUrl();
}else{
_c[_c.length]="#";
}
_c[_c.length]="' class='";
_c[_c.length]=this._determineCssClass(this.get_index());
_c[_c.length]="'><span class='rtsOut'><span class='rtsIn'>";
var _d=this._determineImage();
if(_d){
_c[_c.length]="<img alt='' class='rtsImg' src='";
_c[_c.length]=_d;
_c[_c.length]="' />";
}
_c[_c.length]="<span class='rtsTxt'>";
_c[_c.length]=this.get_text();
_c[_c.length]="</span></span></span></a></li>";
},_determineCssClass:function(_e){
var _f=[];
var _10=this.get_parent().get_selectedIndex();
_f[_f.length]="rtsLink";
if(this.get_cssClass()){
_f[_f.length]=this.get_cssClass();
}
if(_e==_10){
_f[_f.length]="rtsSelected";
if(this.get_selectedCssClass()){
_f[_f.length]=this.get_selectedCssClass();
}
}
if(!this.get_enabled()){
_f[_f.length]="rtsDisabled";
if(this.get_disabledCssClass()){
_f[_f.length]=this.get_disabledCssClass();
}
}
if(_10>-1){
if(_10-1==_e){
_f[_f.length]="rtsBefore";
}
if(_10+1==_e){
_f[_f.length]="rtsAfter";
}
}
return _f.join(" ");
},_render:function(_11){
if(this.get_isSeparator()){
this._renderSeparator(_11);
}else{
this._renderTab(_11);
}
this._updateSiblings();
if(this.get_tabs().get_count()>0){
this._renderChildren();
}
},_updateSiblings:function(_12){
var _13=this.get_index();
var _14=this.get_parent().get_tabs();
var _15=_14.getTab(_13-1);
if(_15){
_15._updateAppearance(_12);
}
var _16=_14.getTab(_13+1);
if(_16){
_16._updateAppearance(_12);
}
},_renderChildren:function(){
var _17=this._createChildListElement();
var _18=[];
this.get_tabs().forEach(function(tab){
tab._render(_18);
});
_17.innerHTML=_18.join("");
},_cacheDomProperties:function(){
this.get_text();
this.get_navigateUrl();
},_cleanElements:function(){
this._cacheDomProperties();
this.get_tabs().forEach(function(tab){
tab._cacheDomProperties();
tab._cleanElements();
});
this.get_parent().get_childListElement().removeChild(this.get_element());
this._element=null;
if($telerik.getChildrenByTagName(this.get_parent().get_childListElement(),"li")<1){
this.get_parent()._destroyChildListElement();
}
},_getLevelIndex:function(){
if(this.get_tabStrip()._ascendingRendering()){
return this.get_level()+1;
}
return this.get_tabStrip()._getLevelElements().length-this.get_level()-2;
},_updateAppearance:function(_1b){
if(!this.get_element()){
return;
}
var _1c=this.get_index();
this._setCssClass(this.get_linkElement(),this._determineCssClass(_1c));
this._updateImage();
if(_1b){
return;
}
var _1d="rtsLI";
if(_1c==0){
_1d+=" rtsFirst";
}
if(_1c==this.get_parent().get_tabs().get_count()-1){
_1d+=" rtsLast";
}
this._setCssClass(this.get_element(),_1d);
},_determineImage:function(){
var _1e=this.get_imageUrl();
if(this.get_selected()&&this.get_selectedImageUrl()){
_1e=this.get_selectedImageUrl();
}
if(!this.get_enabled()&&this.get_disabledImageUrl()){
_1e=this.get_disabledImageUrl();
}
return _1e;
},_updateImage:function(){
if(!this.get_element()){
return;
}
var _1f=this._determineImage();
if(!_1f){
return;
}
if(!this.get_imageElement()){
var _20=document.createElement("img");
_20.className="rtsImg";
_20.alt="";
this.get_innerWrapElement().insertBefore(_20,this.get_textElement());
}
if(this.get_imageElement().src!=_1f){
this.get_imageElement().src=_1f;
}
},_setChildListDisplay:function(_21){
var _22=this.get_tabStrip();
var _23=this;
while(_23){
var _24=_23.get_childListElement();
if(_24){
_24.style.display=_21;
if(_21!="none"&&_22._align==Telerik.Web.UI.TabStripAlign.Justify){
Telerik.Web.UI.RadTabStrip._justify(_24,_22._orientation);
}
}
_23=_23.get_selectedTab();
}
},_highlight:function(){
if(this.get_hoveredCssClass()){
Sys.UI.DomElement.addCssClass(this.get_linkElement(),this.get_hoveredCssClass());
}
if(!this.get_enabled()){
return;
}
if(!this.get_hoveredImageUrl()){
return;
}
if(!this.get_imageElement()){
return;
}
if(this.get_imageElement().src!=this.get_hoveredImageUrl()){
this.get_imageElement().src=this.get_hoveredImageUrl();
}
},_unhighlight:function(){
if(this.get_hoveredCssClass()){
Sys.UI.DomElement.removeCssClass(this.get_linkElement(),this.get_hoveredCssClass());
}
this._updateImage();
},_shouldPostBack:function(){
var _25=this.get_tabStrip();
if(!_25){
return false;
}
return this.get_postBack()&&_25._postBackReference!=null;
},_shouldNavigate:function(){
var _26=this.get_navigateUrl();
if(!_26){
return false;
}
if(location.href.replace(location.hash,"")+"#"===_26){
return false;
}
if(_26==="#"){
return false;
}
return true;
},_initialize:function(_27,_28){
Telerik.Web.UI.RadTab.callBaseMethod(this,"_initialize",[_27,_28]);
this._perTabScrolling=this._properties.getValue("perTabScrolling",false);
this._scrollChildren=this._properties.getValue("scrollChildren",false);
this._scrollButtonsPosition=this._properties.getValue("scrollButtonsPosition",Telerik.Web.UI.TabStripScrollButtonsPosition.Right);
this._ensureChildControls();
},_dispose:function(){
Telerik.Web.UI.RadTab.callBaseMethod(this,"_dispose");
if(this._scroller){
this._scroller.dispose();
}
},_initScrolling:function(){
if(this.get_selected()&&this._requiresScrolling()){
this.get_tabStrip()._initScrollingForTabContainer(this);
}
},_selectPageView:function(_29){
var _2a=this.get_pageView();
if(_2a){
_2a._select(_29);
}
},_getGlobalIndex:function(){
return Array.indexOf(this.get_tabStrip().get_allTabs(),this);
},get_nextTab:function(){
return this.get_nextSibling();
},get_previousTab:function(){
return this.get_previousSibling();
},click:function(e){
if(!this.get_isEnabled()){
return false;
}
var _2c=this.get_tabStrip();
if(!_2c){
return false;
}
if(_2c.get_causesValidation()){
if(typeof (Page_ClientValidate)!=="undefined"&&!Page_ClientValidate(_2c.get_validationGroup())){
return false;
}
}
var _2d=this.select(e);
if(_2d&&this._shouldPostBack()){
_2c._postback(this);
}
if(!(_2d&&this._shouldNavigate())){
return false;
}
return true;
},get_pageView:function(){
var _2e=this.get_tabStrip().get_multiPage();
if(!_2e){
return null;
}
if(this.get_pageViewID()){
return _2e.findPageViewByID(this.get_pageViewID());
}
return _2e.get_pageViews().getPageView(this._getGlobalIndex());
},get_pageViewID:function(){
return this._properties.getValue("pageViewID",null);
},set_pageViewID:function(_2f){
this._properties.setValue("pageViewID",_2f);
},get_target:function(){
if(this.get_linkElement()){
return this._properties.getValue("target",this.get_linkElement().target);
}
return this._properties.getValue("target",null);
},set_target:function(_30){
this._properties.setValue("target",_30,true);
if(this.get_linkElement()){
this.get_linkElement().target=_30;
}
},get_navigateUrl:function(){
if(this.get_linkElement()){
return this._properties.getValue("navigateUrl",this.get_linkElement().href);
}
return this._properties.getValue("navigateUrl",null);
},set_navigateUrl:function(_31){
this._properties.setValue("navigateUrl",_31,true);
if(this.get_linkElement()){
this.get_linkElement().href=_31;
}
},get_postBack:function(){
return this._properties.getValue("postback",true);
},set_postBack:function(_32){
this._properties.setValue("postback",_32,true);
},get_selected:function(){
if(!this.get_parent()){
return false;
}
return this.get_index()==this.get_parent().get_selectedIndex();
},set_selected:function(_33){
if(_33){
this.select();
}else{
this.unselect();
}
},select:function(e){
var _35=this.get_parent();
if(!_35){
this._cachedSelected=true;
return true;
}
var _36=this._shouldNavigate();
var _37=_35.get_selectedTab();
var _38=this.get_tabStrip();
if(!_36&&_37==this&&!_38.get_clickSelectedTab()){
return false;
}
if(_38._raiseCancelEvent("tabSelecting",this,e)){
return false;
}
var _39=this._shouldPostBack()||_36;
if(_37&&_37!=this){
_37.unselect(_39,e);
}
_35.set_selectedIndex(this.get_index());
_38._registerSelectedTab(this);
if(!_39){
this._updateAppearance(true);
this._updateSiblings(true);
this._setChildListDisplay("");
if(this._scroller){
this._scroller._showArrows();
}else{
_38._scrollInitInProgress=true;
this._initScrolling();
_38._scrollInitInProgress=false;
}
if(_38._reorderTabsOnSelect){
Telerik.Web.UI.RadTabStrip._reorderTabs(_35.get_childListElement(),this.get_element());
}
}
this._selectPageView(_39);
_38._raiseEvent("tabSelected",this,e);
return true;
},unselect:function(_3a,e){
var _3c=this.get_parent();
if(!_3c){
return;
}
if(!this.get_selected()){
return;
}
_3c.set_selectedIndex(-1);
var _3d=this.get_tabStrip();
_3d._unregisterSelectedTab(this);
if(!_3a){
this._setChildListDisplay("none");
if(this._scroller){
this._scroller._hideArrows();
}
this._updateAppearance(true);
this._updateSiblings(true);
}
var _3e=this.get_selectedTab();
if(_3d.get_unselectChildren()&&_3e){
_3e.unselect(_3a);
}
_3d._raiseEvent("tabUnSelected",this,e);
},get_selectedIndex:function(){
return this._properties.getValue("selectedIndex",-1);
},set_selectedIndex:function(_3f){
this._properties.setValue("selectedIndex",_3f);
},get_selectedTab:function(){
return this.get_tabs().getTab(this.get_selectedIndex())||null;
},get_tabStrip:function(){
return this._getControl();
},get_isSeparator:function(){
return this._properties.getValue("isSeparator",false);
},set_isSeparator:function(_40){
this._properties.setValue("isSeparator",_40);
},get_tabData:function(){
return this.get_itemData();
},get_levelElement:function(){
if(!this._levelElement){
this._levelElement=this._getControl()._getLevelElements()[this._getLevelIndex()]||null;
}
return this._levelElement;
},get_textElement:function(){
if(this.get_isSeparator()){
return this.get_element();
}
if(!this.get_innerWrapElement()){
return null;
}
if(!this._textElement){
this._textElement=$telerik.getChildByClassName(this.get_innerWrapElement(),"rtsTxt");
}
return this._textElement;
},get_linkElement:function(){
if(!this.get_element()){
return null;
}
if(!this._linkElement){
this._linkElement=$telerik.getChildByClassName(this.get_element(),"rtsLink");
}
return this._linkElement;
},get_imageElement:function(){
if(!this.get_innerWrapElement()){
return null;
}
if(!this._imageElement){
this._imageElement=$telerik.getChildByClassName(this.get_innerWrapElement(),"rtsImg");
}
return this._imageElement;
},get_outerWrapElement:function(){
if(!this.get_linkElement()){
return null;
}
if(!this._outerWrapElement){
this._outerWrapElement=$telerik.getChildByClassName(this.get_linkElement(),"rtsOut");
}
return this._outerWrapElement;
},get_innerWrapElement:function(){
if(!this.get_outerWrapElement()){
return null;
}
if(!this._innerWrapElement){
this._innerWrapElement=$telerik.getChildByClassName(this.get_outerWrapElement(),"rtsIn");
}
return this._innerWrapElement;
},get_childListElement:function(){
if(!this._childListElement){
var _41=this._getListItemsForTheCurrentLevel();
if(!_41){
return null;
}
this._childListElement=_41[this._getChildListIndex()]||null;
}
return this._childListElement;
},get_tabs:function(){
return this._getChildren();
},enable:function(){
this.set_enabled(true);
},disable:function(){
this.set_enabled(false);
},set_enabled:function(_42){
Telerik.Web.UI.RadTab.callBaseMethod(this,"set_enabled",[_42]);
this._updateAppearance();
},get_disabledCssClass:function(){
return this._properties.getValue("disabledCssClass",null);
},set_disabledCssClass:function(_43){
this._properties.setValue("disabledCssClass",_43,true);
this._updateAppearance();
},get_selectedCssClass:function(){
return this._properties.getValue("selectedCssClass",null);
},set_selectedCssClass:function(_44){
this._properties.setValue("selectedCssClass",_44,true);
this._updateAppearance();
},get_hoveredCssClass:function(){
return this._properties.getValue("hoveredCssClass",null);
},set_hoveredCssClass:function(_45){
this._properties.setValue("hoveredCssClass",_45,true);
},get_cssClass:function(){
return this._properties.getValue("cssClass",null);
},set_cssClass:function(_46){
this._properties.setValue("cssClass",_46,true);
this._updateAppearance();
},get_imageUrl:function(){
return this._properties.getValue("imageUrl",null);
},set_imageUrl:function(_47){
this._properties.setValue("imageUrl",_47,true);
this._updateImage();
},get_selectedImageUrl:function(){
return this._properties.getValue("selectedImageUrl",null);
},set_selectedImageUrl:function(_48){
this._properties.setValue("selectedImageUrl",_48,true);
this._updateImage();
},get_disabledImageUrl:function(){
return this._properties.getValue("disabledImageUrl",null);
},set_disabledImageUrl:function(_49){
this._properties.setValue("disabledImageUrl",_49,true);
this._updateImage();
},get_hoveredImageUrl:function(){
return this._properties.getValue("hoveredImageUrl",null);
},set_hoveredImageUrl:function(_4a){
this._properties.setValue("hoveredImageUrl",_4a,true);
},get_isBreak:function(){
return this._properties.getValue("isBreak",false);
},set_isBreak:function(_4b){
this._properties.setValue("isBreak",_4b,true);
}};
Telerik.Web.UI.RadTab.registerClass("Telerik.Web.UI.RadTab",Telerik.Web.UI.ControlItem);;Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadTabCollection=function(_1){
Telerik.Web.UI.RadTabCollection.initializeBase(this,[_1]);
};
Telerik.Web.UI.RadTabCollection.prototype={getTab:function(_2){
return this.getItem(_2);
}};
Telerik.Web.UI.RadTabCollection.registerClass("Telerik.Web.UI.RadTabCollection",Telerik.Web.UI.ControlItemCollection);;Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.TabStripOrientation=function(){
};
Telerik.Web.UI.TabStripOrientation.prototype={HorizontalTop:0,HorizontalBottom:1,VerticalRight:2,VerticalLeft:3};
Telerik.Web.UI.TabStripOrientation.isHorizontal=function(_1){
return _1==Telerik.Web.UI.TabStripOrientation.HorizontalTop||_1==Telerik.Web.UI.TabStripOrientation.HorizontalBottom;
};
Telerik.Web.UI.TabStripOrientation.isVertical=function(_2){
return !Telerik.Web.UI.TabStripOrientation.isHorizontal(_2);
};
Telerik.Web.UI.TabStripOrientation.registerEnum("Telerik.Web.UI.TabStripOrientation");
Telerik.Web.UI.TabStripAlign=function(){
};
Telerik.Web.UI.TabStripAlign.prototype={Left:0,Center:1,Right:2,Justify:3};
Telerik.Web.UI.TabStripAlign.registerEnum("Telerik.Web.UI.TabStripAlign");
Telerik.Web.UI.TabStripScrollButtonsPosition=function(){
};
Telerik.Web.UI.TabStripScrollButtonsPosition.prototype={Left:0,Middle:1,Right:2};
Telerik.Web.UI.TabStripScrollButtonsPosition.registerEnum("Telerik.Web.UI.TabStripScrollButtonsPosition");
Telerik.Web.UI.RadTabStripCancelEventArgs=function(_3,_4){
Telerik.Web.UI.RadTabStripCancelEventArgs.initializeBase(this);
this._tab=_3;
this._domEvent=_4;
};
Telerik.Web.UI.RadTabStripCancelEventArgs.prototype={get_tab:function(){
return this._tab;
},get_domEvent:function(){
return this._domEvent;
}};
Telerik.Web.UI.RadTabStripCancelEventArgs.registerClass("Telerik.Web.UI.RadTabStripCancelEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.RadTabStripEventArgs=function(_5,_6){
Telerik.Web.UI.RadTabStripEventArgs.initializeBase(this);
this._tab=_5;
this._domEvent=_6;
};
Telerik.Web.UI.RadTabStripEventArgs.prototype={get_tab:function(){
return this._tab;
},get_domEvent:function(){
return this._domEvent;
}};
Telerik.Web.UI.RadTabStripEventArgs.registerClass("Telerik.Web.UI.RadTabStripEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadTabStrip=function(_7){
Telerik.Web.UI.RadTabStrip.initializeBase(this,[_7]);
this._childTypeName="Telerik.Web.UI.RadTab";
this._orientation=Telerik.Web.UI.TabStripOrientation.HorizontalTop;
this._align=Telerik.Web.UI.TabStripAlign.Left;
this._selectedIndex=-1;
this._selectedIndexes=[];
this._selectedIndexesJson="[]";
this._logEntriesJson="[]";
this._scrollState={};
this._scrollStateJson="{}";
this._multiPageID=null;
this._causesValidation=true;
this._validationGroup=null;
this._postBackReference=null;
this._scrollChildren=false;
this._scrollButtonsPosition=Telerik.Web.UI.TabStripScrollButtonsPosition.Right;
this._perTabScrolling=false;
this._reorderTabsOnSelect=false;
this._skin=null;
};
Telerik.Web.UI.RadTabStrip._getTabGroups=function(_8,_9){
var _a=[];
var _b=[];
_b.size=0;
Array.add(_a,_b);
var _c=$telerik.getChildrenByTagName(_8,"li");
for(var i=0;i<_c.length;i++){
if(_c[i].className=="rtsBreak"){
_b=[];
_b.size=0;
Array.add(_a,_b);
continue;
}
_b.size+=_c[i][_9];
Array.add(_b,_c[i]);
}
return _a;
};
Telerik.Web.UI.RadTabStrip._reorder=function(_e,_f){
var _10=$get(_e);
if(!_10){
return;
}
var _11=$telerik.getChildByClassName(_10,"rtsLevel1");
if(!_11){
return;
}
var _12=$telerik.getFirstChildByTagName(_11,"ul");
if(!_12){
return;
}
var _13=$telerik.getChildrenByClassName(_12,"rtsLI");
var _14=_13[_f];
if(!_14){
return;
}
Telerik.Web.UI.RadTabStrip._reorderTabs(_12,_14);
};
Telerik.Web.UI.RadTabStrip._reorderTabs=function(_15,_16){
var _17=Telerik.Web.UI.RadTabStrip._getTabGroups(_15);
if(_17.length<2){
return;
}
var _18=_17[_17.length-1];
var _19=null;
for(var i=0;i<_17.length;i++){
if(Array.indexOf(_17[i],_16)>-1){
_19=_17[i];
break;
}
}
if(!_19||_19==_18){
return;
}
for(var i=0;i<_18.length;i++){
_15.insertBefore(_18[i],_19[0]);
}
for(var i=0;i<_19.length;i++){
_15.appendChild(_19[i]);
}
};
Telerik.Web.UI.RadTabStrip._align=function(_1b,_1c,_1d){
var _1e=$get(_1b);
if(_1c!=Telerik.Web.UI.TabStripAlign.Justify&&Telerik.Web.UI.TabStripOrientation.isHorizontal(_1d)){
return;
}
if(_1c==Telerik.Web.UI.TabStripAlign.Left||_1e._aligned){
return;
}
if(_1c==Telerik.Web.UI.TabStripAlign.Justify){
Telerik.Web.UI.RadTabStrip._justifyTabStrip(_1e,_1d);
return;
}
Telerik.Web.UI.RadTabStrip._verticalAlign(_1e,_1c,_1d);
};
Telerik.Web.UI.RadTabStrip._justifyTabStrip=function(_1f,_20){
var _21=$telerik.getChildrenByTagName(_1f,"div");
if(_21.length<1){
return;
}
for(var _22=0;_22<_21.length;_22++){
var _23=_21[_22];
var _24=$telerik.getChildrenByTagName(_23,"ul");
if(_24.length<1){
return;
}
for(var i=0;i<_24.length;i++){
Telerik.Web.UI.RadTabStrip._justify(_24[i],_20);
}
}
};
Telerik.Web.UI.RadTabStrip._justify=function(_26,_27){
var _28="offsetWidth";
var _29=function(_2a,_2b){
_2a.style.width=_2b+"px";
};
if(Telerik.Web.UI.TabStripOrientation.isVertical(_27)){
_28="offsetHeight";
_29=function(_2c,_2d){
_2c.firstChild.firstChild.firstChild.style.height=_2d+"px";
var _2e=_2c.offsetHeight-_2d;
if(_2e>0){
_2c.firstChild.firstChild.firstChild.style.height=_2d-_2e+"px";
}
};
}
Telerik.Web.UI.RadTabStrip._justifyListElement(_26,_28,_29);
};
Telerik.Web.UI.RadTabStrip._justifyListElement=function(_2f,_30,_31){
var _32=_2f.parentNode[_30];
if(_32<=0){
return;
}
var _33=Telerik.Web.UI.RadTabStrip._getTabGroups(_2f,_30);
for(var _34=0;_34<_33.length;_34++){
var _35=_33[_34];
if(_35.size<=0){
continue;
}
var _36=[];
for(var i=0;i<_35.length;i++){
_36[i]=_35[i][_30]/_35.size;
}
var _38=0;
var i=0;
for(;i<_35.length-1;i++){
var _39=Math.round(_32*_36[i]);
_31(_35[i],_39);
_38+=_39;
}
_31(_35[i],_32-_38);
}
};
Telerik.Web.UI.RadTabStrip._verticalAlign=function(_3a,_3b,_3c){
var _3d=$telerik.getChildByClassName(_3a,"rtsLevel1");
if(!_3d){
return;
}
var _3e=$telerik.getChildByClassName(_3d,"rtsUL");
if(!_3e){
return;
}
var _3f=0;
if(_3b==Telerik.Web.UI.TabStripAlign.Center){
_3f=(_3d.offsetHeight-_3e.offsetHeight)/2;
}
if(_3b==Telerik.Web.UI.TabStripAlign.Right){
_3f=_3d.offsetHeight-_3e.offsetHeight;
}
if(_3f>0){
_3e.style.marginTop=_3f+"px";
_3a._aligned=true;
}
};
Telerik.Web.UI.RadTabStrip._createChildControls=function(_40,_41){
var _42=_40.get_tabData();
if(!_42){
return;
}
var _43=$telerik.getChildrenByClassName(_40.get_childListElement(),"rtsLI");
for(var i=0;i<_42.length;i++){
var tab=new Telerik.Web.UI.RadTab();
_41.add(tab);
var _46=i;
if(typeof (_42[i].index)!=="undefined"){
_46=_42[i].index;
}
tab._initialize(_42[i],_43[_46]);
}
};
Telerik.Web.UI.RadTabStrip.prototype={_initScrolling:function(){
var _47=this;
while(_47){
if(this._tabContainerRequiresScrolling(_47)){
if(_47._scroller){
_47._scroller._showArrows();
var _48=this._getScrollableSize(_47);
var _49=_48-_47._scroller._currentPosition;
if(_49<0){
_47._scroller._scrollTo(_48);
}
_47._scroller.setScrollingLimits(0,_48);
}else{
this._initScrollingForTabContainer(_47);
}
}else{
if(_47._scroller){
_47._scroller._hideArrows();
_47._scroller._scrollTo(0);
}
}
_47=_47.get_selectedTab();
}
this.updateClientState();
},_initScrollingForTabContainer:function(_4a){
var _4b=Telerik.Web.UI.ScrollerOrientation.Horizontal;
var _4c=0;
if(_4a.get_childListElement().style.marginLeft){
_4c=parseInt(_4a.get_childListElement().style.marginLeft);
}
if(this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalRight||this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalLeft){
_4b=Telerik.Web.UI.ScrollerOrientation.Vertical;
_4c=0;
if(_4a.get_childListElement().style.marginTop){
_4c=parseInt(_4a.get_childListElement().style.marginTop);
}
}
_4a._scroller=new Telerik.Web.UI.TabScroller(_4a,_4b);
_4a._scroller.initialize();
_4a._scroller.setScrollingLimits(0,this._getScrollableSize(_4a));
_4a._scroller._currentPosition=-_4c;
_4a._scroller._calculateInitialTab();
_4a._scroller._updateArrows();
},_getScrollableSize:function(_4d){
if(this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalRight||this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalLeft){
return this._getTabsSize(_4d,"offsetHeight")-_4d.get_levelElement().offsetHeight;
}
return this._getTabsSize(_4d,"offsetWidth")-_4d.get_levelElement().offsetWidth;
},_getTabsSize:function(_4e,_4f){
var _50=Telerik.Web.UI.RadTabStrip._getTabGroups(_4e.get_childListElement(),_4f);
var _51=0;
for(var i=0;i<_50.length;i++){
if(_51<_50[i].size){
_51=_50[i].size;
}
}
return _51;
},_tabContainerRequiresScrolling:function(_53){
if(!_53._scrollChildren){
return false;
}
var _54=_53.get_levelElement();
if(!_54){
return false;
}
var _55=_54.offsetWidth;
if(this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalRight||this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalLeft){
return _54.offsetHeight<this._getTabsSize(this,"offsetHeight");
}
return _54.offsetWidth<this._getTabsSize(_53,"offsetWidth");
},_createChildControls:function(){
this._children=new Telerik.Web.UI.RadTabCollection(this);
Telerik.Web.UI.RadTabStrip._createChildControls(this,this._children);
},_getLevelElements:function(){
if(!this._levelElements){
this._levelElements=$telerik.getChildrenByTagName(this.get_element(),"div");
}
return this._levelElements;
},_getListElementsForLevel:function(_56){
return this._listElementsPerLevel[_56];
},_childInserting:function(_57,tab,_59){
if(!_59._childControlsCreated){
return;
}
this._cachedSelectedTab=_59.get_selectedTab();
},_childInserted:function(_5a,tab,_5c){
this._allTabs=null;
if(this._cachedSelectedTab){
_5c.set_selectedIndex(this._cachedSelectedTab.get_index());
this._cachedSelectedTab=null;
}
if(tab._cachedSelected){
_5c.set_selectedIndex(_5a);
tab._cachedSelected=false;
}
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childInserted",[_5a,tab,_5c]);
if(tab.get_isBreak()){
var _5d=document.createElement("li");
_5d.className="rtsBreak";
_5c.get_childListElement().insertBefore(_5d,tab.get_element().nextSibling);
}
},_childRemoving:function(tab){
if(tab.get_selected()){
tab.unselect();
}
tab._cleanElements();
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childRemoving",[tab]);
},_childRemoved:function(tab,_60){
this._allTabs=null;
var _61=_60.get_tabs().getTab(0);
if(_61){
_61._updateAppearance();
}
var _62=_60.get_tabs().getTab(_60.get_tabs().get_count()-1);
if(_62){
_62._updateAppearance();
}
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childRemoved",[tab,_60]);
},_childrenCleared:function(_63){
this._allTabs=null;
_63.get_tabs().forEach(function(tab){
tab._cleanElements();
});
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childrenCleared",[_63]);
},_destroyChildren:function(_65){
_65.get_levelElement().removeChild(_65.get_childListElement());
Array.remove(this._listElementsPerLevel[_65._getLevelIndex()],_65.get_childListElement());
if(this._listElementsPerLevel[_65._getLevelIndex()].length<1){
Array.removeAt(this._listElementsPerLevel,_65._getLevelIndex());
Array.remove(this._levelElements,_65.get_levelElement());
this.get_element().removeChild(_65.get_levelElement());
_65._levelElement=null;
}
_65._childListElement=null;
},_destroyChildListElement:function(){
this._destroyChildren(this);
},_ensureElements:function(){
if(!this.get_childListElement()){
this._createChildListElement();
}
},_createLevelElement:function(_66){
var _67=document.createElement("div");
var _68="rtsLevel";
if(this._align==Telerik.Web.UI.TabStripAlign.Center){
_68+=" rtsCenter";
}
if(this._align==Telerik.Web.UI.TabStripAlign.Right){
_68+=" rtsRight";
}
_67.className=_68+" rtsLevel"+_66;
if(this._ascendingRendering()){
Array.add(this._listElementsPerLevel,[]);
Array.add(this._levelElements,_67);
this.get_element().appendChild(_67);
}else{
Array.insert(this._listElementsPerLevel,0,[]);
Array.insert(this._levelElements,0,_67);
this.get_element().insertBefore(_67,this.get_element().firstChild);
}
return _67;
},_createChildListElement:function(){
var _69=document.createElement("ul");
_69.className="rtsUL";
var _6a=this._createLevelElement(1);
_6a.appendChild(_69);
Array.add(this._listElementsPerLevel[this._getLevelIndex()],_69);
return _69;
},_initLevelElements:function(){
this._listElementsPerLevel=[];
var _6b=this._getLevelElements();
for(var i=0;i<_6b.length;i++){
Array.add(this._listElementsPerLevel,$telerik.getChildrenByTagName(_6b[i],"ul"));
}
},_ascendingRendering:function(){
return this._orientation!=Telerik.Web.UI.TabStripOrientation.HorizontalBottom;
},_getLevelIndex:function(){
if(this._ascendingRendering()){
return 0;
}
return this._getLevelElements().length-1;
},_unregisterSelectedTab:function(tab){
Array.remove(this._selectedIndexes,tab._getHierarchicalIndex());
this._updateSelectedState();
},_registerSelectedTab:function(tab){
Array.add(this._selectedIndexes,tab._getHierarchicalIndex());
this._updateSelectedState();
},_updateSelectedState:function(){
this._selectedIndexesJson=Sys.Serialization.JavaScriptSerializer.serialize(this._selectedIndexes);
this.updateClientState();
},_getHierarchicalIndex:function(){
return "-1";
},_updateScrollState:function(_6f,_70){
this._scrollState[_6f._getHierarchicalIndex()]=-_70;
this._scrollStateJson=Sys.Serialization.JavaScriptSerializer.serialize(this._scrollState);
this.updateClientState();
},_postback:function(tab){
if(!this._postBackReference){
return;
}
eval(String.format(this._postBackReference,tab._getHierarchicalIndex()));
},_raiseCancelEvent:function(_72,tab,_74){
var _75=new Telerik.Web.UI.RadTabStripCancelEventArgs(tab,_74);
this.raiseEvent(_72,_75);
return _75.get_cancel();
},_raiseEvent:function(_76,tab,_78){
this.raiseEvent(_76,new Telerik.Web.UI.RadTabStripEventArgs(tab,_78));
},_resize:function(e){
if(!this._scrollInitInProgress){
this._initScrolling();
}
this.get_element()._aligned=null;
Telerik.Web.UI.RadTabStrip._align(this.get_id(),this._align,this._orientation);
},_doubleClick:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
this._raiseEvent("doubleClick",tab,e);
},_mouseOver:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
if(this._highlightedTab==tab){
return;
}
if(this._highlightedTab){
this._highlightedTab._unhighlight();
}
tab._highlight();
this._highlightedTab=tab;
this._raiseEvent("mouseOver",tab,e);
},_mouseOut:function(e){
if(!this._highlightedTab){
return;
}
if(!e.eventMapRelatedTarget){
return;
}
if($telerik.isDescendant(this._highlightedTab.get_element(),e.eventMapRelatedTarget)){
return;
}
this._highlightedTab._unhighlight();
this._raiseEvent("mouseOut",this._highlightedTab,e);
this._highlightedTab=null;
},_contextMenu:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
this._raiseEvent("contextMenu",tab,e);
},_click:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
if(!tab.click(e)){
e.preventDefault();
}
},_activate:function(e){
if(!e.altKey){
return;
}
var tab=this._extractItemFromDomElement(e.eventMapTarget);
tab.click();
},_requiresRtl:function(){
var _85=this.get_element();
if(_85.className.indexOf("RadTabStrip_rtl")>-1){
return false;
}
return $telerik.getCurrentStyle(_85,"direction","ltr")=="rtl";
},_applyRtl:function(){
this.get_element().className=String.format("{0} RadTabStrip_rtl RadTabStrip_{1}_rtl",this.get_element().className,this._skin);
},initialize:function(){
this._initLevelElements();
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"initialize");
Telerik.Web.UI.RadTabStrip._align(this.get_id(),this._align,this._orientation);
this._updateSelectedState();
this._eventMap.addHandlerForClassName("click","rtsLI",this._click);
this._eventMap.addHandlerForClassName("mouseover","rtsLI",this._mouseOver);
this._eventMap.addHandlerForClassName("mouseout","rtsLI",this._mouseOut);
this._eventMap.addHandlerForClassName("contextmenu","rtsLI",this._contextMenu);
this._eventMap.addHandlerForClassName("dblclick","rtsLI",this._doubleClick);
if($telerik.isIE){
this._eventMap.addHandlerForClassName("activate","rtsLI",this._activate);
}
this._resizeDelegate=Function.createDelegate(this,this._resize);
$addHandler(window,"resize",this._resizeDelegate);
if(this._requiresRtl()){
this._applyRtl();
}
this._initScrolling();
var _86=this._resizeDelegate;
this.get_element().RadShow=this.get_element().RadResize=function(){
_86();
};
this.raiseEvent("load");
},dispose:function(){
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"dispose");
$removeHandler(window,"resize",this._resizeDelegate);
if(this._scroller){
this._scroller.dispose();
}
},commitChanges:function(){
this._logEntriesJson=this._log.serialize();
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"commitChanges");
},set_enabled:function(_87){
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"set_enabled",[_87]);
if(!this.get_isInitialized()){
return;
}
this.get_element().disabled=!_87;
var _88=String.format("RadTabStrip_{0}_disabled",this._skin);
this.toggleCssClass(_88);
},get_causesValidation:function(){
return this._causesValidation;
},set_causesValidation:function(_89){
this._causesValidation=_89;
},get_validationGroup:function(){
return this._validationGroup;
},set_validationGroup:function(_8a){
this._validationGroup=_8a;
},get_unselectChildren:function(){
return this._unselectChildren==true;
},set_unselectChildren:function(_8b){
this._unselectChildren=_8b;
},get_selectedIndexes:function(){
return this._selectedIndexes;
},set_selectedIndexes:function(_8c){
this._selectedIndexes=_8c;
},saveClientState:function(){
return "{\"selectedIndexes\":"+this._selectedIndexesJson+",\"logEntries\":"+this._logEntriesJson+",\"scrollState\":"+this._scrollStateJson+"}";
},get_selectedTab:function(){
return this.get_tabs().getTab(this.get_selectedIndex())||null;
},get_selectedIndex:function(){
return this._selectedIndex;
},set_selectedIndex:function(_8d){
this._selectedIndex=_8d;
},get_levelElement:function(){
if(!this._levelElement){
this._levelElement=this._getLevelElements()[this._getLevelIndex()]||null;
}
return this._levelElement;
},get_childListElement:function(){
if(!this.get_levelElement()){
return null;
}
if(!this._childListElement){
this._childListElement=$telerik.getChildByClassName(this.get_levelElement(),"rtsUL");
}
return this._childListElement;
},get_tabData:function(){
return this._tabData;
},set_tabData:function(_8e){
this._tabData=_8e;
},get_tabs:function(){
return this._getChildren();
},get_clickSelectedTab:function(){
return this._clickSelectedTab==true;
},set_clickSelectedTab:function(_8f){
this._clickSelectedTab=_8f;
},findTabByText:function(_90){
return this._findItemByText(_90);
},findTabByValue:function(_91){
return this._findItemByValue(_91);
},findTabByAttribute:function(_92,_93){
return this._findItemByAttribute(_92,_93);
},get_allTabs:function(){
if(!this._allTabs){
this._allTabs=this._getAllItems();
}
return this._allTabs;
},get_multiPage:function(){
if(!this.get_multiPageID()){
return null;
}
return $find(this.get_multiPageID());
},set_multiPageID:function(_94){
this._multiPageID=_94;
},get_multiPageID:function(){
return this._multiPageID;
},add_tabSelecting:function(_95){
this.get_events().addHandler("tabSelecting",_95);
},remove_tabSelecting:function(_96){
this.get_events().removeHandler("tabSelecting",_96);
},add_tabSelected:function(_97){
this.get_events().addHandler("tabSelected",_97);
},remove_tabSelected:function(_98){
this.get_events().removeHandler("tabSelected",_98);
},add_tabUnSelected:function(_99){
this.get_events().addHandler("tabUnSelected",_99);
},remove_tabUnSelected:function(_9a){
this.get_events().removeHandler("tabUnSelected",_9a);
},add_load:function(_9b){
this.get_events().addHandler("load",_9b);
},remove_load:function(_9c){
this.get_events().removeHandler("load",_9c);
},add_mouseOver:function(_9d){
this.get_events().addHandler("mouseOver",_9d);
},remove_mouseOver:function(_9e){
this.get_events().removeHandler("mouseOver",_9e);
},add_mouseOut:function(_9f){
this.get_events().addHandler("mouseOut",_9f);
},remove_mouseOut:function(_a0){
this.get_events().removeHandler("mouseOut",_a0);
},add_contextMenu:function(_a1){
this.get_events().addHandler("contextMenu",_a1);
},remove_contextMenu:function(_a2){
this.get_events().removeHandler("contextMenu",_a2);
},add_doubleClick:function(_a3){
this.get_events().addHandler("doubleClick",_a3);
},remove_doubleClick:function(_a4){
this.get_events().removeHandler("doubleClick",_a4);
}};
Telerik.Web.UI.RadTabStrip.registerClass("Telerik.Web.UI.RadTabStrip",Telerik.Web.UI.ControlItemContainer);;Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.TabScroller=function(_1,_2){
this._owner=_1;
Telerik.Web.UI.TabScroller.initializeBase(this,[_1.get_childListElement(),_1.get_levelElement(),_2]);
};
Telerik.Web.UI.TabScroller.prototype={_scrollTo:function(_3){
var _4="marginLeft";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_4="marginTop";
}
this._currentPosition=_3;
this._scrolledElement.style[_4]=-_3+"px";
this._raiseEvent("positionChanged",Sys.EventArgs.Empty);
},_createArrow:function(_5){
var _6=document.createElement("a");
_6.className=_5;
_6.href="#";
_6.innerHTML="&nbsp;";
if(!$telerik.isIE){
_6.style.position="relative";
}
return _6;
},_applyFloat:function(_7,_8){
if($telerik.isIE){
_7.style.styleFloat=_8;
}else{
_7.style.cssFloat=_8;
}
},_preventDefault:function(e){
e.preventDefault();
},_scrollForward:function(e){
if(this._owner._perTabScrolling){
this._scrollToTab(1);
}else{
this.startScroll(Telerik.Web.UI.ScrollerSpeed.Fast,2);
}
},_stopScroll:function(e){
this.stopScroll();
this._owner._getControl()._updateScrollState(this._owner,this._currentPosition);
},_scrollBackward:function(e){
if(this._owner._perTabScrolling){
this._scrollToTab(-1);
}else{
this.startScroll(Telerik.Web.UI.ScrollerSpeed.Fast,-2);
}
},_positionChanged:function(){
this._updateArrows();
},_updateArrows:function(){
var _d="rtsPrevArrow";
if(this.isAtMinPosition()){
_d="rtsPrevArrowDisabled";
}
if(this._previousArrow.className!=_d){
this._previousArrow.className=_d;
}
_d="rtsNextArrow";
if(this.isAtMaxPosition()){
_d="rtsNextArrowDisabled";
}
if(this._nextArrow.className!=_d){
this._nextArrow.className=_d;
}
},_positionArrowsHorizontally:function(_e){
if(_e==Telerik.Web.UI.TabStripScrollButtonsPosition.Right){
this._applyFloat(this._nextArrow,"right");
this._applyFloat(this._previousArrow,"right");
this._element.appendChild(this._nextArrow);
this._element.appendChild(this._previousArrow);
}else{
if(_e==Telerik.Web.UI.TabStripScrollButtonsPosition.Left){
this._applyFloat(this._nextArrow,"left");
this._applyFloat(this._previousArrow,"left");
this._element.appendChild(this._previousArrow);
this._element.appendChild(this._nextArrow);
}else{
this._applyFloat(this._nextArrow,"right");
this._applyFloat(this._previousArrow,"left");
this._element.appendChild(this._previousArrow);
this._element.appendChild(this._nextArrow);
}
}
},_positionArrowsVertically:function(_f){
this._element.style.position="relative";
this._nextArrow.style.position="absolute";
this._previousArrow.style.position="absolute";
this._nextArrow.style.left="0";
this._previousArrow.style.left="0";
this._element.appendChild(this._previousArrow);
this._element.appendChild(this._nextArrow);
if(_f==Telerik.Web.UI.TabStripScrollButtonsPosition.Right){
this._nextArrow.style.bottom="0";
this._previousArrow.style.bottom=this._nextArrow.offsetHeight+"px";
}else{
if(_f==Telerik.Web.UI.TabStripScrollButtonsPosition.Left){
this._previousArrow.style.top="0";
this._nextArrow.style.top=this._previousArrow.offsetHeight+"px";
}else{
this._previousArrow.style.top="0";
this._nextArrow.style.bottom="0";
}
}
},_positionArrows:function(_10){
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Horizontal){
this._positionArrowsHorizontally(_10);
}else{
this._positionArrowsVertically(_10);
}
},_hideArrows:function(){
this._nextArrow.style.display="none";
this._previousArrow.style.display="none";
},_showArrows:function(){
this._nextArrow.style.display="";
this._previousArrow.style.display="";
},_nextScrollPosition:function(_11){
var _12=this._owner.get_tabs();
var _13="offsetWidth";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_13="offsetHeight";
}
var _14=_11<0?_12.getTab(this._currentTabIndex+_11).get_element():_12.getTab(this._currentTabIndex).get_element();
if(_14){
return this._currentPosition+_11*_14[_13];
}
return this._currentPosition;
},setScrollingLimits:function(min,max){
if(!this._owner._perTabScrolling){
var _17="offsetWidth";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_17="offsetHeight";
}
max+=this._getScrollImageSize(_17);
}
Telerik.Web.UI.TabScroller.callBaseMethod(this,"setScrollingLimits",[min,max]);
},_getScrollImageSize:function(_18){
if(this._owner._scrollButtonsPosition==Telerik.Web.UI.TabStripScrollButtonsPosition.Right){
return this._nextArrow[_18]+this._previousArrow[_18];
}
if(this._owner._scrollButtonsPosition==Telerik.Web.UI.TabStripScrollButtonsPosition.Middle){
return this._nextArrow[_18];
}
return 0;
},_scrollToTab:function(_19){
if(_19>0&&this.isAtMaxPosition()){
return;
}
if(_19<0&&this.isAtMinPosition()){
return;
}
var _1a=this._nextScrollPosition(_19);
if(_1a==this._currentPosition){
return;
}
this._scrollTo(_1a);
this._currentTabIndex+=_19;
},_calculateInitialTab:function(){
if(!this._owner._perTabScrolling){
return;
}
var _1b=0;
var _1c=this._owner.get_tabs();
var _1d="offsetWidth";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_1d="offsetHeight";
}
while(_1b<this._currentPosition){
_1b+=_1c.getTab(this._currentTabIndex).get_element()[_1d];
this._currentTabIndex++;
}
},initialize:function(){
Telerik.Web.UI.TabScroller.callBaseMethod(this,"initialize");
if(this._owner._perTabScrolling){
this._currentTabIndex=0;
}
this._positionChangedDelegate=Function.createDelegate(this,this._positionChanged);
this.add_positionChanged(this._positionChangedDelegate);
this._nextArrow=this._createArrow("rtsNextArrow");
this._previousArrow=this._createArrow("rtsPrevArrow");
this._positionArrows(this._owner._scrollButtonsPosition);
this._nextArrowClickDelegate=Function.createDelegate(this,this._preventDefault);
this._scrollForwardDelegate=Function.createDelegate(this,this._scrollForward);
this._nextArrowMouseUpDelegate=Function.createDelegate(this,this._stopScroll);
$addHandler(this._nextArrow,"click",this._nextArrowClickDelegate);
$addHandler(this._nextArrow,"mousedown",this._scrollForwardDelegate);
$addHandler(this._nextArrow,"mouseup",this._nextArrowMouseUpDelegate);
this._previousArrowClickDelegate=Function.createDelegate(this,this._preventDefault);
this._scrollBackwardDelegate=Function.createDelegate(this,this._scrollBackward);
this._previousArrowMouseUpDelegate=Function.createDelegate(this,this._stopScroll);
$addHandler(this._previousArrow,"click",this._previousArrowClickDelegate);
$addHandler(this._previousArrow,"mousedown",this._scrollBackwardDelegate);
$addHandler(this._previousArrow,"mouseup",this._previousArrowMouseUpDelegate);
},dispose:function(){
Telerik.Web.UI.TabScroller.callBaseMethod(this,"dispose");
$removeHandler(this._nextArrow,"click",this._nextArrowClickDelegate);
$removeHandler(this._nextArrow,"mousedown",this._scrollForwardDelegate);
$removeHandler(this._nextArrow,"mouseup",this._nextArrowMouseUpDelegate);
$removeHandler(this._previousArrow,"click",this._previousArrowClickDelegate);
$removeHandler(this._previousArrow,"mousedown",this._scrollBackwardDelegate);
$removeHandler(this._previousArrow,"mouseup",this._previousArrowMouseUpDelegate);
this._nextArrow=null;
this._previousArrow=null;
}};
Telerik.Web.UI.TabScroller.registerClass("Telerik.Web.UI.TabScroller",Telerik.Web.UI.Scroller);;